<?php
require 'functions.php';
connect();
head('Draw');
if (isLogged())
{
	$user = validateUser();
	mysql_query("UPDATE users SET new_draw = 0 WHERE id = 1") or error();
}
?>

<div style="padding-bottom: 5px;">
<div class="box" id="draw">
  <h2>Draw</h2>
  	<script src="http://thelocklegion.loc/js/sketch.js"></script>
	<div class="tools">
		<?php if (isLogged()) { echo '<a href="#canvas" class="action button" style="background-position: 0px 0px;" data-orginal-title="tooltip" title="Upload - U" data-action="upload" id="upload"></a>'; } ?>
		<a href="#canvas" class="action button" style="background-position: -30px 0px;" data-orginal-title="tooltip" title="Download - D" data-action="download" id="download"></a>
		<a href="#canvas" class="action button" style="background-position: -60px 0px;" data-orginal-title="tooltip" title="Undo - Z" data-action="undo" id="undo"></a>
		<a href="#canvas" class="action button" style="background-position: -90px 0px;" data-orginal-title="tooltip" title="Clear - C" data-action="clear" id="clear"></a>
		<a href="#canvas" class="action button" style="background-position: -120px 0px;" data-orginal-title="tooltip" title="Marker Mode - M" data-tool="marker" id="marker"></a>
		<a href="#canvas" class="action button" style="background-position: -150px 0px;" data-orginal-title="tooltip" title="Eraser Mode - E" data-tool="eraser" id="eraser"></a>
	</div>
	<canvas id="canvas" width="996px" height="600px"></canvas>
	<script>
		$(function(){
			$('#penSize').val(5);
			var currentValue = $('#currentValue');
		
			$('#penSize').change(function(){
				currentValue.html(this.value);
				$('#canvas').sketch().size = this.value;
			});
		
			// Trigger the event on load, so
			// the value field is populated:
		
			$('#penSize').change();
		
		});
		function shortcuts(e)
		{
			keyCode = (e.which) ? e.which : event.keyCode
			switch (keyCode)
			{
				case 85:
					$('#upload').click();
					break;
				case 68:
					$('#download').click();
					break;
				case 90:
					$('#undo').click();
					break;
				case 67:
					$('#clear').click();
					break;
				case 77:
					$('#marker').click();
					break;
				case 69:
					$('#eraser').click();
					break;
			}
		}
		$(document).keydown(shortcuts);
		
		$.each(['#CB3434', '#FFFC00', '#38743A', '#2C6E74', '#284874', '#543A74', '#9C4F69', '#000', '#fff'], function() {
		  $('.tools').append("<a href='#canvas' class='color' data-color='" + this + "' style='background: " + this + ";'></a> ");
		});
		$('.tools').append('<input id="penSize" type="range" min="1" max="500" /> <p style="display: inline-block; vertical-align: top;">Current value: <span id="currentValue">0</span></p>');
		
	</script>
</div>

<div class="box">
	<h2>Last Ten Uploads</h2>
	<?php
	$q = mysql_query("SELECT artist, time, picture FROM draw ORDER BY time DESC LIMIT 0, 10") or error();
	while(list($artist, $time, $picture) = mysql_fetch_row($q))
	{
		$artist = getUsername($artist);
		echo '<img src="'.$picture.'" alt="Artwork by '.$artist.'" data-placement="left" data-orginal-title="tooltip" title="Artwork by '.$artist.'" />';
	}
	?>
</div>
</div>
<?php foot(); ?>
